curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/manual_connect \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"bureau": "transunion",
"tradelines": [
{
"type_code": "18",
"portfolio_type_code": "revolving",
"designator_code": "authorizedUser",
"number": "5555555555555555",
"creditor_name": "CAPITAL ONE",
"creditor_code": "01DTV001",
"balance": 500000,
"highest_balance": 750000,
"credit_limit": 1000000,
"term": null,
"next_payment_minimum_amount": 15000,
"last_payment_amount": 20000,
"payment_history": ["1", "1", "1"],
"past_due_amount": 0,
"delinquency_charge_off_amount": 0,
"opened_at": "2016-11-25",
"closed_at": "2023-01-01",
"last_activity_date": "2024-05-01",
"reported_date": "2024-05-01",
"next_payment_due_date": "2024-06-01",
"last_payment_date": "2024-05-01",
"delinquency_first_start_date": null,
"narrative_codes": [
{ "code": "FE", "description": "CREDIT CARD" },
{ "code": "AZ", "description": "AMOUNT IN H/C COLUMN IS CREDIT LIMIT" }
],
"external_id": "baf85e5d-4323-4f83-9bfa-cb3c5eae1f18"
}
]
}'
const response = await method
.entities("ent_qKNBB68bfHGNA")
.manualConnect
.create({
bureau: 'transunion',
tradelines: [
{
type_code: '18',
portfolio_type_code: 'revolving',
designator_code: 'authorizedUser',
number: '5555555555555555',
creditor_name: 'CAPITAL ONE',
creditor_code: '01DTV001',
balance: 500000,
highest_balance: 750000,
credit_limit: 1000000,
term: null,
next_payment_minimum_amount: 15000,
last_payment_amount: 20000,
payment_history: ['1', '1', '1'],
past_due_amount: 0,
delinquency_charge_off_amount: 0,
opened_at: '2016-11-25',
closed_at: '2023-01-01',
last_activity_date: '2024-05-01',
reported_date: '2024-05-01',
next_payment_due_date: '2024-06-01',
last_payment_date: '2024-05-01',
delinquency_first_start_date: null,
narrative_codes: [
{ code:"FE", description: "CREDIT CARD" },
{ code:"AZ", description: "AMOUNT IN H/C COLUMN IS CREDIT LIMIT" }
],
external_id: 'baf85e5d-4323-4f83-9bfa-cb3c5eae1f18',
},
{...}
]
});
response = method
.entities('ent_qKNBB68bfHGNA')
.manual_connect
.create({
'bureau': 'transunion',
'tradelines': [
{
'type_code': '18',
'portfolio_type_code': 'revolving',
'designator_code': 'authorizedUser',
'number': '5555555555555555',
'creditor_name': 'CAPITAL ONE',
'creditor_code': '01DTV001',
'balance': 500000,
'highest_balance': 750000,
'credit_limit': 1000000,
'term': None,
'next_payment_minimum_amount': 15000,
'last_payment_amount': 20000,
'payment_history': ['1', '1', '1'],
'past_due_amount': 0,
'delinquency_charge_off_amount': 0,
'opened_at': '2016-11-25',
'closed_at': '2023-01-01',
'last_activity_date': '2024-05-01',
'reported_date': '2024-05-01',
'next_payment_due_date': '2024-06-01',
'last_payment_date': '2024-05-01',
'delinquency_first_start_date': None,
'narrative_codes': [
{ 'code': 'FE', 'description': 'CREDIT CARD' },
{ 'code': 'AZ', 'description': 'AMOUNT IN H/C COLUMN IS CREDIT LIMIT' },
],
'external_id': 'baf85e5d-4323-4f83-9bfa-cb3c5eae1f18'
},
{...}
]
})
{
"id": "mcxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
{
"account_id": "acc_eKKmrXDpJBKgw",
"external_id": "baf85e5d-4323-4f83-9bfa-cb3c5eae1f18"
},
{...}
],
"error": null,
"created_at": "2024-06-10T14:56:46.645Z",
"updated_at": "2024-06-10T14:56:46.645Z"
}
Create a Manual Connect
POST
/
entities
/
{ent_id}
/
manual_connect
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/manual_connect \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"bureau": "transunion",
"tradelines": [
{
"type_code": "18",
"portfolio_type_code": "revolving",
"designator_code": "authorizedUser",
"number": "5555555555555555",
"creditor_name": "CAPITAL ONE",
"creditor_code": "01DTV001",
"balance": 500000,
"highest_balance": 750000,
"credit_limit": 1000000,
"term": null,
"next_payment_minimum_amount": 15000,
"last_payment_amount": 20000,
"payment_history": ["1", "1", "1"],
"past_due_amount": 0,
"delinquency_charge_off_amount": 0,
"opened_at": "2016-11-25",
"closed_at": "2023-01-01",
"last_activity_date": "2024-05-01",
"reported_date": "2024-05-01",
"next_payment_due_date": "2024-06-01",
"last_payment_date": "2024-05-01",
"delinquency_first_start_date": null,
"narrative_codes": [
{ "code": "FE", "description": "CREDIT CARD" },
{ "code": "AZ", "description": "AMOUNT IN H/C COLUMN IS CREDIT LIMIT" }
],
"external_id": "baf85e5d-4323-4f83-9bfa-cb3c5eae1f18"
}
]
}'
const response = await method
.entities("ent_qKNBB68bfHGNA")
.manualConnect
.create({
bureau: 'transunion',
tradelines: [
{
type_code: '18',
portfolio_type_code: 'revolving',
designator_code: 'authorizedUser',
number: '5555555555555555',
creditor_name: 'CAPITAL ONE',
creditor_code: '01DTV001',
balance: 500000,
highest_balance: 750000,
credit_limit: 1000000,
term: null,
next_payment_minimum_amount: 15000,
last_payment_amount: 20000,
payment_history: ['1', '1', '1'],
past_due_amount: 0,
delinquency_charge_off_amount: 0,
opened_at: '2016-11-25',
closed_at: '2023-01-01',
last_activity_date: '2024-05-01',
reported_date: '2024-05-01',
next_payment_due_date: '2024-06-01',
last_payment_date: '2024-05-01',
delinquency_first_start_date: null,
narrative_codes: [
{ code:"FE", description: "CREDIT CARD" },
{ code:"AZ", description: "AMOUNT IN H/C COLUMN IS CREDIT LIMIT" }
],
external_id: 'baf85e5d-4323-4f83-9bfa-cb3c5eae1f18',
},
{...}
]
});
response = method
.entities('ent_qKNBB68bfHGNA')
.manual_connect
.create({
'bureau': 'transunion',
'tradelines': [
{
'type_code': '18',
'portfolio_type_code': 'revolving',
'designator_code': 'authorizedUser',
'number': '5555555555555555',
'creditor_name': 'CAPITAL ONE',
'creditor_code': '01DTV001',
'balance': 500000,
'highest_balance': 750000,
'credit_limit': 1000000,
'term': None,
'next_payment_minimum_amount': 15000,
'last_payment_amount': 20000,
'payment_history': ['1', '1', '1'],
'past_due_amount': 0,
'delinquency_charge_off_amount': 0,
'opened_at': '2016-11-25',
'closed_at': '2023-01-01',
'last_activity_date': '2024-05-01',
'reported_date': '2024-05-01',
'next_payment_due_date': '2024-06-01',
'last_payment_date': '2024-05-01',
'delinquency_first_start_date': None,
'narrative_codes': [
{ 'code': 'FE', 'description': 'CREDIT CARD' },
{ 'code': 'AZ', 'description': 'AMOUNT IN H/C COLUMN IS CREDIT LIMIT' },
],
'external_id': 'baf85e5d-4323-4f83-9bfa-cb3c5eae1f18'
},
{...}
]
})
{
"id": "mcxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
{
"account_id": "acc_eKKmrXDpJBKgw",
"external_id": "baf85e5d-4323-4f83-9bfa-cb3c5eae1f18"
},
{...}
],
"error": null,
"created_at": "2024-06-10T14:56:46.645Z",
"updated_at": "2024-06-10T14:56:46.645Z"
}
Creates a new Manual Connect request to ingest raw credit report tradelines
for an Entity.
Operation Type:
Path Parameters
Body
Returns
Returns a object.curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/manual_connect \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"bureau": "transunion",
"tradelines": [
{
"type_code": "18",
"portfolio_type_code": "revolving",
"designator_code": "authorizedUser",
"number": "5555555555555555",
"creditor_name": "CAPITAL ONE",
"creditor_code": "01DTV001",
"balance": 500000,
"highest_balance": 750000,
"credit_limit": 1000000,
"term": null,
"next_payment_minimum_amount": 15000,
"last_payment_amount": 20000,
"payment_history": ["1", "1", "1"],
"past_due_amount": 0,
"delinquency_charge_off_amount": 0,
"opened_at": "2016-11-25",
"closed_at": "2023-01-01",
"last_activity_date": "2024-05-01",
"reported_date": "2024-05-01",
"next_payment_due_date": "2024-06-01",
"last_payment_date": "2024-05-01",
"delinquency_first_start_date": null,
"narrative_codes": [
{ "code": "FE", "description": "CREDIT CARD" },
{ "code": "AZ", "description": "AMOUNT IN H/C COLUMN IS CREDIT LIMIT" }
],
"external_id": "baf85e5d-4323-4f83-9bfa-cb3c5eae1f18"
}
]
}'
const response = await method
.entities("ent_qKNBB68bfHGNA")
.manualConnect
.create({
bureau: 'transunion',
tradelines: [
{
type_code: '18',
portfolio_type_code: 'revolving',
designator_code: 'authorizedUser',
number: '5555555555555555',
creditor_name: 'CAPITAL ONE',
creditor_code: '01DTV001',
balance: 500000,
highest_balance: 750000,
credit_limit: 1000000,
term: null,
next_payment_minimum_amount: 15000,
last_payment_amount: 20000,
payment_history: ['1', '1', '1'],
past_due_amount: 0,
delinquency_charge_off_amount: 0,
opened_at: '2016-11-25',
closed_at: '2023-01-01',
last_activity_date: '2024-05-01',
reported_date: '2024-05-01',
next_payment_due_date: '2024-06-01',
last_payment_date: '2024-05-01',
delinquency_first_start_date: null,
narrative_codes: [
{ code:"FE", description: "CREDIT CARD" },
{ code:"AZ", description: "AMOUNT IN H/C COLUMN IS CREDIT LIMIT" }
],
external_id: 'baf85e5d-4323-4f83-9bfa-cb3c5eae1f18',
},
{...}
]
});
response = method
.entities('ent_qKNBB68bfHGNA')
.manual_connect
.create({
'bureau': 'transunion',
'tradelines': [
{
'type_code': '18',
'portfolio_type_code': 'revolving',
'designator_code': 'authorizedUser',
'number': '5555555555555555',
'creditor_name': 'CAPITAL ONE',
'creditor_code': '01DTV001',
'balance': 500000,
'highest_balance': 750000,
'credit_limit': 1000000,
'term': None,
'next_payment_minimum_amount': 15000,
'last_payment_amount': 20000,
'payment_history': ['1', '1', '1'],
'past_due_amount': 0,
'delinquency_charge_off_amount': 0,
'opened_at': '2016-11-25',
'closed_at': '2023-01-01',
'last_activity_date': '2024-05-01',
'reported_date': '2024-05-01',
'next_payment_due_date': '2024-06-01',
'last_payment_date': '2024-05-01',
'delinquency_first_start_date': None,
'narrative_codes': [
{ 'code': 'FE', 'description': 'CREDIT CARD' },
{ 'code': 'AZ', 'description': 'AMOUNT IN H/C COLUMN IS CREDIT LIMIT' },
],
'external_id': 'baf85e5d-4323-4f83-9bfa-cb3c5eae1f18'
},
{...}
]
})
{
"id": "mcxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
{
"account_id": "acc_eKKmrXDpJBKgw",
"external_id": "baf85e5d-4323-4f83-9bfa-cb3c5eae1f18"
},
{...}
],
"error": null,
"created_at": "2024-06-10T14:56:46.645Z",
"updated_at": "2024-06-10T14:56:46.645Z"
}
⌘I